import request from '@/utils/request'

// 采购供应链商品列表
export function apiPurchaseProductOfferLists(params: any) {
    return request.get({ url: '/purchase_product_offer/purchaseproductoffer/lists', params })
}

// 添加采购供应链商品
export function apiPurchaseProductOfferAdd(params: any) {
    return request.post({ url: '/purchase_product_offer/purchaseproductoffer/add', params })
}

// 编辑采购供应链商品
export function apiPurchaseProductOfferEdit(params: any) {
    return request.post({ url: '/purchase_product_offer/purchaseproductoffer/edit', params })
}

// 删除采购供应链商品
export function apiPurchaseProductOfferDelete(params: any) {
    return request.post({ url: '/purchase_product_offer/purchaseproductoffer/delete', params })
}
// 设置采购信息
export function apiPurchaseProductOfferSetProcureInfo(params: any) {
    return request.post({
        url: '/purchase_product_offer/purchaseproductoffer/setProcureInfo',
        params
    })
}
// 设置批量采购信息

export function apiPurchaseProductOfferSetBatchProcureInfo(params: any) {
    return request.post({
        url: '/purchase_product_offer/purchaseproductoffer/setBatchProcureInfo',
        params
    })
}
// 仓库验收信息设置
export function apiPurchaseProductOffersetStoreroomInfo(params: any) {
    return request.post({
        url: '/purchase_product_offer/purchaseproductoffer/setStoreroomInfo',
        params
    })
}
// 采购供应链商品详情
export function apiPurchaseProductOfferDetail(params: any) {
    return request.get({ url: '/purchase_product_offer/purchaseproductoffer/detail', params })
}
